Welcome

Welcome to BitPim.

If you are new to BitPim, please take the tour.

BitPim's homepage is bitpim.sourceforge.net. Project page is www.sourceforge.net/projects/bitpim.

You may be interested in upgrade information or the version history.

If you have any problems or questions please read the information about support.

Praise and contributions are always welcome!

Next: Tour

BitPim 0.62 06 November 2003


Tour

Welcome to BitPim. This brief tour takes you step by step through how to use BitPim.

  • What does BitPim do?
  • What do I need?
  • What do I do first?
  • Editing your data
  • Sending your changes to the phone

Previous: Welcome Next: What does BitPim do?


What does BitPim do?

BitPim is a program that allows you to view and manipulate data on cell phones. This includes the PhoneBook, Calendar, WallPapers and RingTones, as well as the embedded filesystem (for expert users).

BitPim runs on Windows, Linux and Mac.

Previous: Tour Up: Tour Next: What do I need?


What do I need?

You need a cell phone that BitPim can talk to (details).

You will need a cable that plugs into your computer and into the cellphone. The page for your cell phone lists details of the cables.

Previous: What does BitPim do? Up: Tour Next: What do I do first?


What do I do first?

The first step is to get your data from your phone into BitPim.
From the data menu choose 'Get Phone Data'.

You will then be given a choice of what to get. Initially it is worth getting everything so you can see what is on your phone.

BitPim will automatically detect your phone and transfer all data selected from the phone. If you look in the status bar you will see that BitPim is busy, and the progress it is making.

Note: In some cases, BitPim may fail to detect your phone. You should troubleshoot this.

You can now move on to where you can view and edit your data.

Previous: What do I need? Up: Tour Next: Editing your data


Editing your data

There are tabs below the menu and toolbar. Each tab allows you to view the contents of a specific feature.

Within each tab you can edit the data.

For wallpaper and ringtones you can right click on items to get a menu or you can just drag and drop new files in.

For phonebook and calendar, you double click on the item you want to edit.

More detailed help is available in the tabs reference.

BitPim automatically saves all changes to your hard disk. There is no need to manually save or load information from disk.

When you are happy with changes you have made you can send them to the phone.

Previous: What do I do first? Up: Tour Next: Sending your changes to the phone


Sending your changes to the phone

Choose 'Send Phone Data' from the Data menu.

You will then get a choice of what to send to the phone.

In the left column you can choose what to send. You will generally only want to send what you have changed. For example, you would only want to send phonebook if you have made changes to the phonebook within BitPim.

In the right hand columns, you have a choice of adding or replacing (both choices aren't available on all data types)

Add
The items you have in BitPim will be added to those already on the phone. For example, if you only have mycat.bmp in the wallpaper folder, then that will be added to the existing wallpapers on the phone. Note that if there is already an item with the same name, then it will be overwritten with the new item of the same name.
Replace
All items in BitPim will replace those in the same category on the phone. For example, if you have 3 wallpaper items in BitPim, you will end up with only the same 3 items on the phone. All others will be removed.

Operations talking to your phone are done in the background. The status bar will show that BitPim is busy. You can still navigate around, but you should not make any changes until BitPim is no longer busy. BitPim will reload data after talking to the phone anyway. This is because it may have to have changed some of the data as it wrote to the phone. (For example index numbers are assigned to wallpaper and ringtones and phone numbers have all punctuation removed).

Once you have sent wallpapers and/or ringtones to the phone you can use them by selecting use downloaded on the your phone as in this example on the VX4400.

Previous: Editing your data Up: Tour Next: Troubleshooting


Troubleshooting

  • Serial communications

Previous: Sending your changes to the phone Next: Serial communications


Serial communications

BitPim needs to speak to your phone using the correct serial port. Your phone needs to respond on that port. You should verify from the comm port settings dialog that he relevant port is available and the correct drivers are in use.

Note that software like Palm Desktop and ActiveSync like to grab ports. If this happens, temporarily disable the offending device.

On Linux you need to ensure that permissions on the device files are set so that your user can read and write to them.

Once you are using the correct port, you should check that the phone is responding. If you look in the log view you will see what errors are happening. The protocol log view gives even more details.

If your phone is not sending back any data at all you may need to configure something on the phone. Read the section about your phone cables for any specific information.

If your phone is responding, but BitPim is not understanding it, then there may be an issue with BitPim. Please grab a protocol log and submit it as described in support.

Previous: Troubleshooting Up: Troubleshooting Next: Reference


Reference

  • Dialog boxes
    • Settings
    • Comm Port Settings
    • File Contents View
    • Restore Files
    • Get Phone Data
    • Send Phone Data
    • Editing Calendar Events
  • Tabs
    • Phonebook
    • Wallpaper
    • Ringers
    • Calendar
    • Filesystem
    • Log
    • Protocol Log
  • Howtos
    • Backups
    • Multiple users
    • Wallpaper and ringtone field

Previous: Serial communications Next: Dialog boxes


Dialog boxes

  • Settings
  • Comm Port Settings
  • File Contents View
  • Restore Files
  • Get Phone Data
  • Send Phone Data
  • Editing Calendar Events

Previous: Reference Up: Reference Next: Settings


Settings

Disk Storage

This is where BitPim stores the data it is working on. By default it is a subdirectory named bitpim of your My Documents folder. It contains necessary folders such as phonebook, calendar and wallpaper. You should not put other files in these folders. Everytime you download data from the phone it deletes ALL the contents of these folders and puts new content in them.

Com port

This is the serial port that will be used to talk to your phone. Click the browse button to see the list of valid ports on your machine.

Previous: Dialog boxes Up: Dialog boxes Next: Comm Port Settings


Comm Port Settings

This dialog lets you see all the ports on your machine and you can select the one you wish to use. The bottom half shows more details about the selected port.

Note that only ports listed as available will actually be usable by BitPim. Other ports may be in use by other programs (such as Palm HotSync or ActiveSync). They may also be switched off for the moment. For example, if you have a USB to serial cable and it is not plugged in, then the port details will show up, but it will be listed as not active. Plugging the cable in will make it active.

Previous: Settings Up: Dialog boxes Next: File Contents View


File Contents View

This shows the contents of a file. The left hand column is the offset into a file (in hexadecimal). The 16 bytes are then shown in hex, and finally the bytes as ASCII charcaters on the right. Non printable characters are replaced with a period.

If you would like to edit the contents of a file, or invoke it in another program, you should right click on the file name and save it.

Previous: Comm Port Settings Up: Dialog boxes Next: Restore Files


Restore Files

The dialog lists the files that will be restored. You can uncheck files that you don't want restored.

Note: The filenames as listed are exactly the names of the files as they will restored.

Previous: File Contents View Up: Dialog boxes Next: Get Phone Data


Get Phone Data

BitPim will transfer all data selected from the phone. If you look in the status bar you will see that BitPim is busy, and the progress it is making.

In the left column you can choose what to get.

In the right hand columns, you have a choice of adding or replacing (both choices aren't available on all data types)

Add
The items you have on your phone will be added to those already in BitPim. For example, if you only have mycat.bmp in the wallpaper folder, then that will be added to the existing wallpapers in BitPim. Note that if there is already an item with the same name, then it will be overwritten with the new item of the same name.
Replace
All items on your phone will replace those in the same category in BitPim. For example, if you have 3 wallpaper items on your phone, you will end up with only the same 3 items in BitPim. All others will be removed.
Previous: Restore Files Up: Dialog boxes Next: Send Phone Data


Send Phone Data

Choose 'Send Phone Data' from the Data menu.

You will then get a choice of what to send to the phone.

In the left column you can choose what to send. You will generally only want to send what you have changed. For example, you would only want to send phonebook if you have made changes to the phonebook within BitPim.

In the right hand columns, you have a choice of adding or replacing (both choices aren't available on all data types)

Add
The items you have in BitPim will be added to those already on the phone. For example, if you only have mycat.bmp in the wallpaper folder, then that will be added to the existing wallpapers on the phone. Note that if there is already an item with the same name, then it will be overwritten with the new item of the same name.
Replace
All items in BitPim will replace those in the same category on the phone. For example, if you have 3 wallpaper items in BitPim, you will end up with only the same 3 items on the phone. All others will be removed.

Operations talking to your phone are done in the background. The status bar will show that BitPim is busy. You can still navigate around, but you should not make any changes until BitPim is no longer busy. BitPim will reload data after talking to the phone anyway. This is because it may have to have changed some of the data as it wrote to the phone. (For example index numbers are assigned to wallpaper and ringtones and phone numbers have all punctuation removed).

Previous: Get Phone Data Up: Dialog boxes Next: Editing Calendar Events


Editing Calendar Events

This dialog shows the entries for a particular day. The entries are shown in the list on the left, and details for the selected entry on the right. You need to press Save to save changes to an event. Until you do that you will not be able to edit a different event. You can press Revert to undo your changes to the event, or you can delete it.

Buttons

New: Creates a new event with default settings

Delete: Deletes the event you are currently viewing

Revert: Undoes any changes you have made to the event.

Save: Saves the changes you have made to the event.

Help: Brings up this page.

Close: Closes the window.

Fields

Description: Your event

Start: The start date and time of your event. Note that this is in the local time of the phone.

End: The end date and time. This needs to be after the start time. It can be on another day. Note that this is in the local time of the phone. For repeating events, the date needs to be set for the last day of the repeat.

Repeat: This field is for events that occur more than once. For example a birthday occurs every year

Alarm: How many minutes in advance to sound the alarm. For example, a value of 60 would set the alarm off one hour before the start time listed above. Use -1 if you don't want an alarm.

Ringtone: The ringtone index to use for the alarm.

The following fields will be removed in a future release of BitPim.

changeserial: This is an internal field used by the phone to occasionally track changes to a record. It is ignored by the phone unless it has a value of zero, in which case the alarm is ignored.

Snooze Delay: If an alarm sounds and you press snooze, then this field indicates when the alarm should go off. The actual alarm time is start minus alarm plus snooze delay. The value is in minutes

Previous: Send Phone Data Up: Dialog boxes Next: Tabs


Tabs

You will see a set of tabs like this:

Simply click in BitPim on the tab you want to work with. There is a more detailed description of each one below.

  • Phonebook
  • Wallpaper
  • Ringers
  • Calendar
  • Filesystem
  • Log
  • Protocol Log

Previous: Editing Calendar Events Up: Reference Next: Phonebook


Phonebook

This tab works a lot like a spreadsheet. Simply click on a cell to edit it. You can add or remove lines by clicking on the toolbar buttons, or choosing Add or Delete from the Edit menu. You may need to make a column wider in order to fit your whole value in (yet another reason to replace this thing!)

Notes

This is very crude at the moment, but works. It will be replaced with something far more user friendly in future releases.

If you enter any punctuation in phone numbers (eg (555) 555-5555) then the puncuation is stripped when sent to most phones, as they do not store the punctuation.

BitPim updates the list of groups used in phonebook entries each time you ask it to read from the phone. If you edit the list of groups on the phone, you will need to reread the phonebook into BitPim for it to know about those new/changed groups.

Known Issues

If you try to select multiple entries for deletion in the phonebook, make sure you do it using the control key. Using the shift key will highlight the rows, but does not report them as selected to the code.

Previous: Tabs Up: Tabs Next: Wallpaper


Wallpaper

These are the images you have. They are used as wallpaper on the phone. On some phone models, they can also be used as the background for when a particular person calls.

Drag and Drop your images in here. You can also right click and choose Add.

The image will be resized to fit the phone (For example the LG-VX4400 is 120x98). If the image is within 10% of the phone screen size then it is not resized. Note that the resizing preserves the aspect ratio of the image. That means you may get white space on the sides of the image depending on its aspect ratio.

The image is converted to the BMP (bitmap) file format, with the exception of images in the BCI format which are left alone.

Note that although the phone can display PNG files, only 256 colours from them are displayed. Consequently they don't look very good for anything beyond trivial images. The BCI (Brew Compressed Image) format only supports 256 colours and has similar issues.

Known Issues

Properties is not implemented yet

Pressing the delete key in wallpaper or ringtone view when no item is selected will delete the last selected item, or if it no longer exists then an item that was adjacent to that one.

Previous: Phonebook Up: Tabs Next: Ringers


Ringers

These are the ringtones you have. Ringtones are midi files, with an extension of .mid

Drag and drop midi files (.mid) here, or right click and choose Add.

Known issues

Properties is not implemented yet.

Pressing the delete key in wallpaper or ringtone view when no item is selected will delete the last selected item, or if it no longer exists then an item that was adjacent to that one.

Previous: Wallpaper Up: Tabs Next: Calendar


Calendar

You can edit events in the calendar here. Double click on any day to edit or create events on that day. You can also click the year button in the top left to select any date quickly.

Previous: Ringers Up: Tabs Next: Filesystem


Filesystem

Note that the filesystem view is off by default. You need to turn it on in the view menu. This functionality is suitable for expert users only.

Note: You can cause damage to your phone in the filesystem view if you make any changes. Be very careful. (BitPim itself doesn't damage anything - it is just that the phone really cares about the contents and existence of some of those files, and deleting or changing them could upset it).

Some files don't have a date which is why none is displayed.

Menus

Right clicking on a directory brings up this menu. Choosing New File will place the file of your choice in this directory. It will have the same name as your source file.

Backing up the directory will result in a zip file of only the contents of this directory (ie subdirectories will be ignored). You can include all subdirectories by backing up the entire tree.

Restore will let you select a zip file whose contents will be placed below this directory. You will get a dialog box showing you what files will be restored and what their names will be. You will be able to choose to only restore some files.

Refresh will get the contents of the directory from the phone again. You can also close the directory and reopen to refresh the contents.

Delete will delete this directory, all the files within it, and all subdirectories. Use it with caution, and it would be prudent to make a backup first.

Right clicking on a file brings up this menu. Save will let you save the file onto your computer. Hexdump will show you the contents of the file like this. Overwrite will let you select a file on your computer and then replace the contents of the file on the phone with the contents of the file you selected.
Previous: Calendar Up: Tabs Next: Log


Log

This tab shows a record of what BitPim has been doing. You can watch it while operations are proceeding. It should also be consulted when there are errors to get more detail as to what was happening at the time of the error.

Previous: Filesystem Up: Tabs Next: Protocol Log


Protocol Log

This tab contains detailed information on all data sent to and received from your phone. It is off by default and needs to be turned on in the View menu.

This will consume vast amounts of memory and slow your machine down, so only use it for low level debugging purposes.

Previous: Log Up: Tabs Next: Howtos


Howtos

  • Backups
  • Multiple users
  • Wallpaper and ringtone field

Previous: Protocol Log Up: Reference Next: Backups


Backups

You can just save the contents of the BitPim data directory. Use Edit [image] Settings to see where it is. Copy it back to do a restore.

You can also do a lower level backup and restore directly of the files on your phone. This requires using the filesystem view.

Previous: Howtos Up: Howtos Next: Multiple users


Multiple users

BitPim stores its settings for the current user. If you have multiple users, and login to your operating system as seperate users, then it will work fine. (On Windows XP, use the windows key together with L to switch users). This is the recommended way of doing things.

If you only login to your computer as one user, but would like to have seperate BitPim data settings for multiple users, then you will need to alter the settings before each launch of BitPim. Future releases will make this a lot easier.

Linux and Mac users can alter the contents of the .bitpim file in their home directory before launch.

Windows users should do the following steps:

  • Create a registry file for each user. Here is an example for johnsmith and I would name it johnsmith.reg. The backslashes need to be doubled up as shown:
    REGEDIT4
[HKEY_CURRENT_USER\Software\BitPim]
"path"="C:\\My Documents\\johnsmith\\bitpim"
"lgvx4400port"="auto"
  • Create a batch file to launch BitPim. I would name this johnsmithbitpim.bat:
    regedit /s johnsmith.reg
"c:Program FilesBitPimbitpim.exe"
  • Finally create a shortcut pointing to the batch file. Use that shortcut to launch BitPim.
Previous: Backups Up: Howtos Next: Wallpaper and ringtone field


Wallpaper and ringtone field

BitPim currently displays and integer field for selecting a ringtone or wallpaper. In a future release, this will display and let your select from the actual list of ringtones and wallpapers.

For this release, you should either select the wallpaper or ringtone you want on the phone or if you are an expert user, you can also enter the number here.

Builtin ringtones are numbered starting at one. (A ringtone value of zero means use the default). For your downloaded ringtones, add 50 to the index number as display in the ringers tab. Note that if any indices are listed as -1, you will need to sync with the phone first to get them allocated index numbers.

Builtin wallpapers are numbered starting at one. (A wallpaper value of zero means use the default). For your downloaded wallpapers, add 10 to the index number as display in the wallpapers tab. Note that if any indices are listed as -1, you will need to sync with the phone first to get them allocated index numbers.

Previous: Multiple users Up: Howtos Next: Errors


Errors

This section contains more details on the various error dialog boxes that can appear.

  • Device Needs Attention
  • Failed to open device
  • No associated programs
  • Failed to execute external command
  • Failed to automatically detect port
  • An exception occurred
  • Invalid Image File
  • Zipfile corrupted
  • A Zipfile is required

Previous: Wallpaper and ringtone field Next: Device Needs Attention


Device Needs Attention

Something has gone wrong while talking to the phone. The dialog gives the details.

The most frequent issue for LG VX4400 users are the drivers with the straight USB cable

Previous: Errors Up: Errors Next: Failed to open device


Failed to open device

BitPim couldn't open the device. There could be many reasons for this, such as it being in use by another program, or you not having permission to use it.

Previous: Device Needs Attention Up: Errors Next: No associated programs


No associated programs

You have tried to view a wallpaper or ringtone but have no associated programs defined to handle them. Linux users will need to edit their MIME associations as defined in mailcap files.

Previous: Failed to open device Up: Errors Next: Failed to execute external command


Failed to execute external command

You have a command defined to view images or ringtones, but it failed to work when BitPim tried it.

Previous: No associated programs Up: Errors Next: Failed to automatically detect port


Failed to automatically detect port

BitPim has tried to autodetect which port you are using, but couldn't find a phone on any of them. The ports tried are listed. You will need to explicitly set the port from Edit [image] Settings and then selecting a com port.

Previous: Failed to execute external command Up: Errors Next: An exception occurred


An exception occurred

An internal error has occurred and this dialog is reporting it. Please scroll to the end of it to see the most pertinent details.

Unless you believe the problem to be a one off, you should report it. See support for more details.

Previous: Failed to automatically detect port Up: Errors Next: Invalid Image File


Invalid Image File

The named file is not a valid image and BitPim can't process it. It is recommended that you delete the file. You can also tell BitPim to ignore the file, but you will be notified about it again whenever BitPim rereads the contents of the directory.

Previous: An exception occurred Up: Errors Next: Zipfile corrupted


Zipfile corrupted

The zip file you selected has corrupted contents. This may have been caused by transmission errors in email, between machines, or over the Internet.

You should get a clean copy of the archive that has no errors. Restoring from one that has been repaired could result in something different being restored than you think will be.

Previous: Invalid Image File Up: Errors Next: A Zipfile is required


A Zipfile is required

BitPim only restores from zip files. You need to select a file in zip format.

Previous: Zipfile corrupted Up: Errors Next: Phones


Phones

  • LG VX-4400
    • Cables
    • Notes
    • Howtos
  • Other Phones

Previous: A Zipfile is required Next: LG VX-4400


LG VX-4400

What works

Phonebook, wallpaper, ringers, calendar, filesystem

FAQs and support

Frequently Asked Questions about the VX4400. There is also an excellent Yahoo support group.

Contents

  • Cables
  • Notes
  • Howtos

Previous: Phones Up: Phones Next: Cables


Cables

There are two cables available. The phone internally has a serial interface and a seperate USB interface. The cables will connect to one of these interfaces. The other end that plugs into your computer is USB. Either cable is available at Radio Shack for $20 and are made by FutureDial.

USB to serial

This cable has a blob half way along the cable that converts from USB to serial and then connects to the serial interface in the phone. The chip inside the cable is a Prolific 2303 and this is how your operating system will report it. It is marked as for the LG VX1/10 but works fine on the VX4400.

Sometimes the phone does not respond when using this cable, and has to be manually forced to talk. Do this by Menu [image] 8-Settings [image] 6-Data Settings [image] 2-Select Port RS-232C(COM Port)

Windows

This cable works well and is reliable. You will need to obtain the drivers from FutureDial.

Linux

Linux has drivers builtin. Note: There is a bug in the Linux 2.4 kernel that causes many machines to crash when any program stops using the cable. This has been fixed in the 2.6 kernel.

Mac

Mac OS X has drivers builtin.

Straight USB

This cable connects to the USB interface inside the phone. The cable is marked as for the LG VX4400 and the LG 5350.

Windows

You will need to install the drivers from FutureDial. Two interfaces are created. One is for using the phone as a modem, and the second is "diagnostic serial port". The latter is what BitPim uses.

Note: There is a driver bug where data will suddenly stop being returned. It happens a lot of the time to a lot of machines. For most people it usually happens while reading the phonebook. There is no known work around. It is recommended that you return the cable to Radio Shack and get the USB to serial one which doesn't have this problem. You may also want to mention this issue to FutureDial support.

Linux, Mac

There are no drivers for these platforms, and you cannot use the cable with them.

Previous: LG VX-4400 Up: LG VX-4400 Next: Notes


Notes

DO NOT PULL THE CABLE OUT OF THE PHONE WHILE OPERATIONS ARE TAKING PLACE (even just reads). If you do, you could end up with bad data when you read the phone book. You can only fix that by writing good data back again.

The phonebook editor allows you to have more than one number of the same type (eg multiple 'home' numbers). The phone allows an upload of this. The phone appears to work fine with this. However the user interface on the phone doesn't allow you to enter multiple numbers of the same type. There might be some deep dark reason.

I have not tested to see what happens if you fill up the phone's filesystem. It has 1.5MB of space available. The protocol doesn't look like it will result in partial files.

If you use downloaded wallpapers, the phone will take a really long time to shutdown (around a minute). It will appear as though it has hung. It hasn't - just be patient. This was fixed in firmware version 06

The various fields have maximum lengths when writing to the phonebook. Currently if you edit a value to be longer than the maximum field length, there will be an exception while saving the phonebook. I will be making this user friendly shortly (most probably by silently truncating the value). Opinions welcome. Here is a listing of field lengths:

Name | 22
Email | 48
Url | 48
Memo | 32
Phone number | 48

Only digits are allowed in phone numbers (ie you can't have punctuation such as parentheses or dashes). BitPim will remove all non-digits when saving the number.

The order you see entries in the phonebook editor is not the order they are written to the phone. Existing entries remain in the same order, and new ones get added on the end. (This is due to limitations of the phone).

Previous: Cables Up: LG VX-4400 Next: Howtos


Howtos

Use your downloaded wallpaper

To change your main screen background, select Menu [image] 8-Settings [image] 2-Display [image] 3-Screens [image] 1-Wallpaper. Then press the right soft key (the one below the label More) and choose downloaded.

Use your downloaded ringtones

The process is very similar to wallpaper. When selecting a ringtone, press the right soft key when you see the label More, and choose downloaded.

Previous: Notes Up: LG VX-4400 Next: Other Phones


Other Phones

BitPim is intended to support multiple phones, but the main author only has an LG VX4400. Support for other phones despends on others contributing.

I believe that most recent CDMA phones will work for the filesystem view, but none of the other features will.

Previous: Howtos Up: Phones Next: About BitPim


About BitPim

  • 3rd party components and licenses
  • Upgrading
  • Version History
  • License and Warranty
  • Contributing to BitPim
  • Future Plans
  • Contacts
  • Support
  • Credits

Previous: Other Phones Next: 3rd party components and licenses


3rd party components and licenses

This software would not be possible without a number of other components. These components are included with the BitPim binary distribution and are under licenses and warranties seperate than that of BitPim.

  • Python programming environment (License)
  • wxPython graphical toolkit for Python. wxPython in turn uses wxWindows (License)
  • pySerial Python serial communications package. (License)
  • (On Windows) win32all Windows Python extensions (License)
  • (On Windows) InnoSetup Windows installer (License)
  • (On Windows) py2exe program to convert scripts to standalone executables (License)
  • (On Linux) cx_Freeze packaging tool (License)
  • (On the web) Destroy Drops Javascript Tree used to show the help contents on the web copy of the online help.
  • (On the web) Icons from awstats are used for the different operating systems.

The online help in BitPim is authored using HelpBlocks. They generously donated a copy of the software for this purpose.

The project is managed on SourceForge at http://sourceforge.net/projects/bitpim/

Previous: About BitPim Up: About BitPim Next: Upgrading


Upgrading

You can safely upgrade to any release of BitPim without having to do an uninstall or reinstall. The data BitPim saves is understood by all future versions.

To downgrade a version, please delete the contents of the BitPim data directory before running the older version.

Upgrading to 0.6

You may wish to change your com port to auto instead of manually setting it. 0.6 defaults to auto if you have not run BitPim before.

Previous: 3rd party components and licenses Up: About BitPim Next: Version History


Version History

Changes in 0.62

  • Scrolling in the log windows now always leaves text visible
  • Absurd dates on files in filesystem view no longer cause an exception
  • Work around the LGE buggy driver which has difficulty with the concept of timeouts
  • Updated to pySerial 2, wxPython 2.4.2.4 on all platforms and Python 2.3.2 on Windows

Changes in 0.61

  • Com port detection works correctly on Windows 2000
  • Device drivers with incorrectly formatted dates are handled without generating an error

Changes in 0.6 - test 5

  • Fixed reading file contents to be more stringent. This corrected an issue seen with the LG VX6000 that returned extra nonsense on the end of read file requests.
  • Added *, #, P and T as the list of allowed characters in phone numbers for the VX4400
  • You can now paste from the clipboard into wallpaper tab. (Not too useful since you will probably want to crop the images yourself, as well as give them a sensible name.)
  • Hid the File Print/Print Preview menu items since they don't do anything either
  • John Franklin figured out the ?internal field for calendar entries

Changes in 0.6 - test 4

  • BCI (Brew Compressed Images) are now supported. They will be displayed in the wallpaper view, and correctly uploaded to the phone etc.
  • Filesystem view now shows file sizes and last modified dates
  • You can backup and restore directories/trees from the filesystem view
  • All issues in open SourceForge bug reports fixed
  • Updated to newest pySerial

Changes in 0.6 - test 3

  • Removed the 'Version Information' setting from get phone data, as it isn't possible with the straight USB cable, and requires the phone to be in RS232 mode with the USB to serial cable. You can easily get this information from the phone itself.
  • Removed the File Save/New/Open menus as they did nothing, and some users may have been lead to believe they did
  • Splash screen
  • Online help is hooked in
  • Include a manifest file so that Windows XP users will see all the widgets in their hideous XP style glory
  • Removed the seperate version history html file since it is now part of the online help
  • Updated to Python 2.3 on Windows
  • Tour is now shown on startup if it is the first time you have run BitPim
  • Auto comm port detection and recovery on comms errors.
  • Config dialog no longer pops up on first use as sensible decisions are made. You can now browse the com ports in the config dialog
  • Filesystem view being on/off now rememberd
  • The notebook page/pane you were last viewing is remembered and set on startup
  • The files stored on disk are now versioned so if the format changes on an upgrade, old ones can be dealt with appropriately
  • Huge numbers of minor usability and functionality fixes

Changes in 0.6 - test 2

  • Now make two attempts to open commport with a delay as it sometimes fails on first open
  • Added a half second delay when switching baud rates as the phone may not be able to switch as quickly as the host

Changes in 0.6 - test 1

  • Can now read and write files bigger than 64kb
  • Calendar is now shown
  • Worked around Python bug that joins("f:\", "subdir") giving "f:\\subdir" which is not a valid pathname. This should only have affected users who told BitPim to use the root directory of a drive, or who mapped their My Documents folder to the root directory of a drive.

Changes in 0.53

  • Also ignore ZbThumbnail.info in the BitPim wallpaper directory (some camera software litters the directory with it)

Changes in 0.52

  • The ringtone tab was also refreshed if you selected to only get wallpaper
  • Reading images/ringtones from the phone ONLY uses the index now. The brew/shared directory could also contain other stuff such as scores from games that BitPim should have been ignoring.
  • You can now do merging as well as overwriting when sending wallpapers and ringtones to the phone.
  • Increased precision of calculation for scaling since it was sometimes out by one pixel
  • Added refresh to the context menu of directories in filesystem view. You can refresh anyway by closing and opening the directory, but this wouldn't work with empty directories.

Changes in 0.51

  • Index generation for ringtones and wallpapers corrected

Changes in 0.5

  • If you change the comm port while BitPim is running, it will actually pick up the change (in earlier versions you had to exit and restart due to a bug).
  • If mode transition fails, you now get a helpful dialog explaining possible steps to resolve.
  • Files in the root directory in filesystem view are now listed
  • Files are displayed in the wallpaper and ringtone view in alphabetical order
  • The wallpaper and ringtone index files are somewhat cleaner, although the phone still misbehaves is you delete an entry on the phone (this is a bug in the phone and happens no matter what tool you use)
  • No more than 30 index entries are added for the wallpaper and ringtone indexes (the limit of the phone)
  • Added a guid in the installer setup so that previous versions are uninstalled correctly. It is recommended that you uninstall versions before 0.5 before installing 0.5 to keep your add/remove programs entries clean.
  • Wallpapers and ringtones are written out in alphabetical order
  • BitPim now has an icon
  • We now send a generic initialization command. This allows the filesystem view to work on other Brew phones (AudioVox 9500 and Motorola T720 are known to work). The wallpaper and ringtone stuff should NOT be used on these other phones.
  • If you add an entry in the phonebook, the label for that row is now updated when you change the name.
  • Ignore the files Windows dumps in the BitPim directories (thumbs.db, desktop.ini etc)
  • Update to wxPython 2.4.0.6
  • Changed field sizes in status bar so that they are less likely to truncate on smaller screens
  • Group strings are now read from the phone
  • Pressing enter in phonebook moves selection to the right rather than down
  • Updating log text and protocol log is now down in an OnIdle handler. This means the user interface remains usable even when large amounts of logging happen. Feel free to watch as much logging as you want when you want

Changes in 0.4

  • Serial numbers on phonebook entries are now preserved when writing to the phone. This means you won't lose speeddials and voicedials (as happened with 0.3).

Changes in 0.3

  • Cope with ringtones directory not existing on phone
  • Cope with wallpapers directory not existing on phone
  • Can now write out your phonebook.
  • Can now crudely edit your phonebook
  • Changed wallpaper size to be 120x98 instead of 120x100 so that it comes out correctly centered vertically
  • The ondisk format of the phonebook has changed. If you used 0.2, please delete any stored phonebook (defaults to My Documentsbitpimphonebookindex.idx) otherwise BitPim may refuse to start.

Changes in 0.2

  • Fixed the issue of wallpapers inside a certain size range causing image load failures in the user interface.
  • Wallpapers that are resized won't have a one pixel wide black line in the framing area.
  • Phonebook is now saved to disk when read.
  • The underlying plumbing for the phonebook has been sorted out which will make editing it possible soon

Changes in 0.1

  • First alpha release
Previous: Upgrading Up: About BitPim Next: License and Warranty


License and Warranty

BitPim is distributed as opensource under the Artistic License. There are no warranties as stated in the license (ie this software may damage your phone). This software is in no way associated with LG Electronics, Qualcomm or Verizon Wireless. It has not been certified by them, nor was it written using information supplied by them.

Previous: Version History Up: About BitPim Next: Contributing to BitPim


Contributing to BitPim

You can contribute to BitPim in various ways. Any program can always be improved, so I welcome your improvements. Here are some examples.

Financially

No financial contributions are accepted for BitPim. If you really would like to do something financial, then I would recommend contributing to charity. Two areas I suggest are charities that help people get a better education and ones that campaign on behalf of political prisoners worldwide.

As a user

If you think something in the program could be done in a better way, post a message about it to the bitpim-user mailing list. Remember to include how you think it could be better.

You can also help out other users who post to various forums to make their experience better. Don't forget to supply feedback to bitpim-user. The goal is to have BitPim so perfect that there is no need for online documentation or for anyone to ever ask any questions :-)

As a developer

If you have technical skills, the best contribution you can make is some of your time. Please see the developer site for more information.

Previous: License and Warranty Up: About BitPim Next: Future Plans


Future Plans

Ongoing Things

There is still a significant amount of improving the user interface to be done and that will be during all the releases. Of particular note is the phonebook editting which is both hideous and user hostile.

Version 0.7

The focus for 0.7 will be on importing and exporting data, especially the phonebook. Initially it will be with files (for example .csv or vcard files). Interoperating with specific programs such as Mozilla, Palm Desktop and Outlook will then proceed from that.

Not assigned to a particular version

These items are intended to be done in the future, but are not planned for a specific release of BitPim.

  • Easy selection of ringtones and wallpapers rather than using numbers
  • A hex editor for the filesystem view
  • Rebooting the phone (this looks unnecessary)
  • Being able to do things to the midis (convert to type 0, reduce length, alter volume)
  • Renaming wallpapers and ringtones
  • Printing
  • Display/editing of SMS, notes
  • Doing something with audio on the phone (eg voice recorder stuff)
  • Multiple user/device profiles
  • Undo
  • Archiving
Previous: Contributing to BitPim Up: About BitPim Next: Contacts


Contacts

You can subscribe to the mailing lists or view the archives from http://sourceforge.net/mail/?group_id=75211

bitpim-announce mailling list

This list contains announcements of new versions of BitPim. It is very low traffic.

bitpim-user mailling list

This list is for users of BitPim.

bitpim-developer mailling list

This list is for discussions about and people making technical contributions to BitPim.

Previous: Future Plans Up: About BitPim Next: Support


Support

Before making a support request, please gather up the following information where possible.

Make notes
You will need to gather information as described below. The most important notes to start with are a description of what happened and a description of what you expected to happen.
If you got an exception dialog, please copy the contents.
This will show what happened at the point of the problem
Get a copy of the contents of the Log pane.
This will show the history of actions BitPim was doing
What set of steps did you take
Work out the set of steps you did. This is to enable others to do the same set of steps in order to reproduce your problem.
Is it repeatable?
Does the problem happen everytime. If it does, it is far easier to track down the cause and fix. Even if it isn't repeatable, there may be enough information from the previous steps to diagnose and fix it.

Where to make your request

There are two locations for making your support request. You should check the archives or existing reports in both locations to see if your problem has already been reported and solved.

SourceForge Support Tracker

There is a problem tracker at http://sourceforge.net/tracker/?group_id=75211&atid=543251. This formally tracks your request. You may need to create a SourceForge ID in order to be notified about the issue or just go back and check every now and then. Issues here are only seen by the developers.

Mailing list

You can post about your problem to the bitpim-user mailing list. This is read and responded to by a wide variety of BitPim users and developers.

Previous: Contacts Up: About BitPim Next: Credits


Credits

Note: I hope I have everyone listed here who have made contributions. If I left you out, or you want your details changed or removed, please let me know.

BitPim incorporates and depends on components and products from other people.

The primary author of BitPim is Roger Binns <rogerb@rogerbinns.com>

The following people also made major contributions:

Alan Pinstein Initial code for interoperability with the Vcard format
Maintenance of a Mac page about installing BitPim
Tim Lowery | Ensured BitPim worked on Mac
crackedvzw | Protocol traces for files larger than 64Kb
Christina Lee | Art work, help and web content, style sheets
Michael Smith | The splashscreen
Previous: Support Up: About BitPim